      program run
        use parm
        use omp_lib
        implicit none
		
        character(len=5) :: Name

       sumcount=0
      !$omp parallel 
!$omp&   shared ( sumcount )
!$omp&   private ( icount, Name )
	  
      !$omp do
        do icount = 1, 2
          write(*,*) icount 
          write(Name,'(I5.5)') icount 
          write(*,*) Name 
          sumcount = sumcount +1
          call Mysubroutine(Name)

        end do
      !$omp end do

      !$omp end parallel
      end program run

      subroutine Mysubroutine(Name)
        use parm
        use omp_lib
        character(len=5) :: Name

        write (*,*) Name
        write (*,*) icount
        write (*,*) sumcount
      end subroutine Mysubroutine